Loading...
Searching...
No Matches
OBIsomorphismMapper::Functor Class Referenceabstract

`#include <openbabel/isomorphism.h>`

Inheritance diagram for OBIsomorphismMapper::Functor:
[legend]

## Public Member Functions

virtual | ~Functor ()
virtual bool | operator() (Mapping &map)=0

## Detailed Description

Functor base class to be used in combination with MapGeneric.

See also
  MapGeneric

Since
  2.3

## Constructor & Destructor Documentation

## ~Functor()

virtual ~Functor | ( |  | ) |

inline virtual

## Member Function Documentation

## operator()()

virtual bool operator() | ( | Mapping & | map | ) |

pure virtual

This function is called every time an isomorphism is discovered. Returing true, will abort the mapping process. The map is passed as non-const reference and may be modified (e.g. swap).

See also
  MapGeneric

The documentation for this class was generated from the following file:

- isomorphism.h